<x-layout-dashboard title="{{__('Setting')}}">
    <div class="app-content">
        <div class="content-wrapper">
            <div class="container">



                <!--breadcrumb-->
                <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
                    <div class="breadcrumb-title pe-3">{{__('User')}}</div>
                    <div class="ps-3">
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb mb-0 p-0">
                                <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
                                </li>
                                <li class="breadcrumb-item active" aria-current="page">{{__('Settings')}}</li>
                            </ol>
                        </nav>
                    </div>
                </div>
                <!--end breadcrumb-->

                <div class="row">
                    @if (session()->has('alert'))
                        <x-alert>
                            @slot('type', session('alert')['type'])
                            @slot('msg', session('alert')['msg'])
                        </x-alert>
                    @endif
                    <div class="card">
                        <div class="card-body">
                            <h5 class="">{{__('Settings')}}</h5>
                            <div class="row col-md-6 mx-auto">
                                <div class="col-md-12">
                                    <form action="{{ route('generateNewApiKey') }}" method="POST">
                                        @csrf
                                        <div class="input-group mb-3">
                                            <span class="input-group-text" id="basic-addon1">{{__('API Key')}}</span>

                                            <input type="text" class="form-control"
                                                value="{{ Auth::user()->api_key }}" aria-label="Username"
                                                aria-describedby="basic-addon1" readonly>
                                            <button type="submit" name="api_key" class="btn btn-primary">{{__('Generate New')}}</button>
                                        </div>
                                    </form>
                                </div>

                            </div>
                            <div class="row mt-4">
                                <div class="col-md-6 mx-auto">

                                    <form action="{{ route('changePassword') }}" method="POST">
                                        @csrf

                                        <div class="form-group">
                                            <label for="settingsCurrentPassword" class="form-label">{{__('Current Password')}}</label>
                                            <input type="password" name="current"
                                                class="form-control {{ $errors->has('current') ? 'is-invalid' : '' }} "
                                                aria-describedby="settingsCurrentPassword"
                                                placeholder="&#9679;&#9679;&#9679;&#9679;&#9679;&#9679;&#9679;&#9679;">
                                            @if ($errors->has('current'))
                                                <div class="invalid-feedback">
                                                    {{ $errors->first('current') }}
                                                </div>
                                            @endif


                                        </div>

                                        <div class="col-md-12">
                                            <label for="password" class="form-label">{{__('New Password')}}</label>
                                            <input type="password" name="password"
                                                class="form-control {{ $errors->has('password') ? 'is-invalid' : '' }}"
                                                aria-describedby="password"
                                                placeholder="&#9679;&#9679;&#9679;&#9679;&#9679;&#9679;&#9679;&#9679;">
                                            @if ($errors->has('password'))
                                                <div class="invalid-feedback">
                                                    {{ $errors->first('password') }}
                                                </div>
                                            @endif
                                        </div>

                                        <div class="col-md-12">
                                            <label for="settingsConfirmPassword" class="form-label">{{__('Confirm Password')}}</label>
                                            <input type="password" name="password_confirmation" class="form-control"
                                                aria-describedby="settingsConfirmPassword"
                                                placeholder="&#9679;&#9679;&#9679;&#9679;&#9679;&#9679;&#9679;&#9679;">
                                        </div>

                                        <div class="row m-t-lg mt-4">
                                            <div class="col mt-2">

                                                <button type="submit" class="btn btn-info text-white m-t-sm">{{__('Change Password')}}</button>
                                            </div>
                                        </div>
                                    </form>
									<form method="POST" action="{{ route('user.settings.2fa') }}">
										@csrf
                                        <div class="row m-t-lg mt-4">
                                            <div class="col mt-2">
										@if (auth()->user()->two_factor_enabled)
											<button type="submit" name="action" class="btn btn-danger text-white m-t-sm col-12" value="disable">{{__('Disable Authenticator 2FA?')}}</button>
										@else
											<button type="submit" name="action" class="btn btn-info text-white m-t-sm col-12" value="enable">{{__('Enable Authenticator 2FA?')}}</button>
										@endif
                                        </div>
                                        </div>
									</form>
									@if (auth()->user()->two_factor_enabled)
									<div class="row col-md-12 mx-auto mt-2 border text-center p-1">
									 <h4>{{__('Recovery Codes')}}</h4>
									 <p>{{__('You can use Recovery Codes if you accidentally delete the Google Authenticator app or lose your phone. Use these codes when logging in instead of the app')}}</p>
									 <div class="col-12">
										<div class="row">
										@foreach(json_decode(auth()->user()->recovery_codes) as $code)
											<div class="col-3">{{ $code }}</div>
										@endforeach
										</div>
									 </div>
									</div>
									@endif
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
</x-layout-dashboard>
